---
updatedAt: 2026-05-12T21:33:18.000Z
agentTools:
  projectIndex: https://developers.intandem.tech/llms.txt
---

# Create Product

## Overview
Each business has a limit of 8,500 products. Available for **Staff and Internal tokens**.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Sales",
    "description": "Unified OpenAPI specification for sales domain",
    "version": "3.0",
    "x-generated": {
      "sourceFiles": [
        "payment_plans.json",
        "payments.json",
        "legacy_v1_sales.json",
        "payment_gateway.json",
        "legacy_v2_settings_services.json",
        "legacy_v2_settings_categories.json",
        "client_cards.json",
        "client_payment_cards.json",
        "sales_reports.json",
        "creditNote.json",
        "estimates.json",
        "coupons.json",
        "invoice.json",
        "coupon.json"
      ],
      "pathNormalizations": [
        {
          "file": "payments.json",
          "basePath": "/business/payments",
          "transformations": [
            {
              "original": "/v1/card_requests",
              "normalized": "/business/payments/v1/card_requests",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/card_requests/{client_uid}",
              "normalized": "/business/payments/v1/card_requests/{client_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/cards/{uid}",
              "normalized": "/business/payments/v1/cards/{uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/carts",
              "normalized": "/business/payments/v1/carts",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/carts/{uid}",
              "normalized": "/business/payments/v1/carts/{uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/carts/{uid}/cancel",
              "normalized": "/business/payments/v1/carts/{uid}/cancel",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/carts/{uid}/cart_completed",
              "normalized": "/business/payments/v1/carts/{uid}/cart_completed",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/client_packages/{uid}",
              "normalized": "/business/payments/v1/client_packages/{uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/deposits",
              "normalized": "/business/payments/v1/deposits",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/deposits/{uid}",
              "normalized": "/business/payments/v1/deposits/{uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/estimates",
              "normalized": "/business/payments/v1/estimates",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/estimates/{estimate_uid}",
              "normalized": "/business/payments/v1/estimates/{estimate_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/invoices",
              "normalized": "/business/payments/v1/invoices",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/invoices/{invoice_uid}",
              "normalized": "/business/payments/v1/invoices/{invoice_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/invoices/{invoice_uid}/cancel",
              "normalized": "/business/payments/v1/invoices/{invoice_uid}/cancel",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/packages/reorder",
              "normalized": "/business/payments/v1/packages/reorder",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payment_requests",
              "normalized": "/business/payments/v1/payment_requests",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payment_requests/{payment_request_uid}/send_link",
              "normalized": "/business/payments/v1/payment_requests/{payment_request_uid}/send_link",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payment_requests/{payment_request_uid}",
              "normalized": "/business/payments/v1/payment_requests/{payment_request_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payments",
              "normalized": "/business/payments/v1/payments",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payments/{payment_uid}",
              "normalized": "/business/payments/v1/payments/{payment_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payouts",
              "normalized": "/business/payments/v1/payouts",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/payouts/{provider_payout_id}",
              "normalized": "/business/payments/v1/payouts/{provider_payout_id}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/product_orders",
              "normalized": "/business/payments/v1/product_orders",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/product_orders/{product_order_uid}",
              "normalized": "/business/payments/v1/product_orders/{product_order_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/products",
              "normalized": "/business/payments/v1/products",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/products/{product_uid}",
              "normalized": "/business/payments/v1/products/{product_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/refunds",
              "normalized": "/business/payments/v1/refunds",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/scheduled_payments_rules",
              "normalized": "/business/payments/v1/scheduled_payments_rules",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/scheduled_payments_rules/{uid}/cancel",
              "normalized": "/business/payments/v1/scheduled_payments_rules/{uid}/cancel",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/scheduled_payments_rules/{uid}",
              "normalized": "/business/payments/v1/scheduled_payments_rules/{uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/tax_bulk",
              "normalized": "/business/payments/v1/tax_bulk",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/tax_bulk/apply_defaults",
              "normalized": "/business/payments/v1/tax_bulk/apply_defaults",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/taxes",
              "normalized": "/business/payments/v1/taxes",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/taxes/{tax_uid}",
              "normalized": "/business/payments/v1/taxes/{tax_uid}",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/transactions",
              "normalized": "/business/payments/v1/transactions",
              "basePath": "/business/payments"
            },
            {
              "original": "/v1/transactions/{provider_transaction_id}",
              "normalized": "/business/payments/v1/transactions/{provider_transaction_id}",
              "basePath": "/business/payments"
            }
          ]
        },
        {
          "file": "legacy_v1_sales.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/leadgen",
              "normalized": "/platform/v1/leadgen",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payments",
              "normalized": "/platform/v1/payments",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payments/{payment_uid}",
              "normalized": "/platform/v1/payments/{payment_uid}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payments/{payment_uid}/match",
              "normalized": "/platform/v1/payments/{payment_uid}/match",
              "basePath": "/platform/v1"
            },
            {
              "original": "/invoices",
              "normalized": "/platform/v1/invoices",
              "basePath": "/platform/v1"
            },
            {
              "original": "/invoices/{invoice_id}",
              "normalized": "/platform/v1/invoices/{invoice_id}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/cards/sync_card",
              "normalized": "/platform/v1/payment/cards/sync_card",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/cards/{card_id}",
              "normalized": "/platform/v1/payment/cards/{card_id}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/checkout/",
              "normalized": "/platform/v1/payment/checkout/",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/checkout/{url_key}",
              "normalized": "/platform/v1/payment/checkout/{url_key}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/client_packages",
              "normalized": "/platform/v1/payment/client_packages",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/client_packages/cancel_redemption",
              "normalized": "/platform/v1/payment/client_packages/cancel_redemption",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/client_packages/update_usage",
              "normalized": "/platform/v1/payment/client_packages/update_usage",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/packages",
              "normalized": "/platform/v1/payment/packages",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/packages/{package_id}",
              "normalized": "/platform/v1/payment/packages/{package_id}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/settings",
              "normalized": "/platform/v1/payment/settings",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment/settings/update_default_currency",
              "normalized": "/platform/v1/payment/settings/update_default_currency",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment_statuses/{id}/apply_coupon",
              "normalized": "/platform/v1/payment_statuses/{id}/apply_coupon",
              "basePath": "/platform/v1"
            },
            {
              "original": "/payment_statuses/{id}/validate_coupon",
              "normalized": "/platform/v1/payment_statuses/{id}/validate_coupon",
              "basePath": "/platform/v1"
            },
            {
              "original": "/services",
              "normalized": "/platform/v1/services",
              "basePath": "/platform/v1"
            },
            {
              "original": "/services/availability",
              "normalized": "/platform/v1/services/availability",
              "basePath": "/platform/v1"
            },
            {
              "original": "/services/{service_uid}",
              "normalized": "/platform/v1/services/{service_uid}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/services/{service_uid}/availability",
              "normalized": "/platform/v1/services/{service_uid}/availability",
              "basePath": "/platform/v1"
            }
          ]
        },
        {
          "file": "estimates.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/estimates",
              "normalized": "/platform/v1/estimates",
              "basePath": "/platform/v1"
            }
          ]
        }
      ],
      "pathConflicts": [],
      "componentConflicts": [
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_client_cards",
          "files": [
            "merged",
            "client_cards.json"
          ]
        }
      ],
      "totalPaths": 86,
      "totalComponents": 11
    }
  },
  "servers": [
    {
      "url": "https://api.vcita.biz",
      "description": "Unified API Gateway server"
    }
  ],
  "paths": {
    "/business/payments/v1/products": {
      "post": {
        "description": "## Overview\nEach business has a limit of 8,500 products. Available for **Staff and Internal tokens**.",
        "parameters": [],
        "responses": {
          "201": {
            "description": "Product Created",
            "content": {
              "application/json": {
                "example": {
                  "data": {
                    "product": {
                      "business_id": "vk8xo7s125mi1ln2",
                      "cost": "50.0",
                      "created_at": "2020-10-05T16:46:34.225+03:00",
                      "currency": "USD",
                      "description": "Classic",
                      "display": true,
                      "id": "5ea8ouxnkd4avj0c",
                      "image_url": "https://www.image.url",
                      "name": "Guitar",
                      "price": "100.0",
                      "sku": "ABC123",
                      "staff_id": "cx2ynjcmftohut0h",
                      "taxes": [
                        {
                          "id": "wz93stkj9vuicx4p",
                          "name": "VAT",
                          "rate": "10.0"
                        }
                      ],
                      "total_price": "110.0"
                    }
                  },
                  "success": true
                }
              }
            }
          },
          "422": {
            "description": "Failure",
            "content": {
              "application/json": {
                "example": {
                  "errors": [
                    {
                      "code": "Error Code",
                      "field": "Error Field (optional)",
                      "message": "Error Message"
                    }
                  ],
                  "success": false
                }
              }
            }
          }
        },
        "summary": "Create Product",
        "tags": [
          "Products"
        ],
        "x-amazon-apigateway-auth": {
          "type": "NONE"
        },
        "x-amazon-apigateway-integration": {
          "httpMethod": "POST",
          "responses": {
            "default": {
              "statusCode": "200"
            }
          },
          "type": "http_proxy",
          "uri": "https:///business/payments/v1/products"
        },
        "x-auth-type": "Application & Application User",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "product": {
                    "properties": {
                      "cost": {
                        "description": "Product cost",
                        "type": "number"
                      },
                      "currency": {
                        "description": "Product currency",
                        "type": "string"
                      },
                      "description": {
                        "description": "Product description",
                        "type": "string"
                      },
                      "display": {
                        "description": "Display on products list. Default: true",
                        "type": "boolean"
                      },
                      "image_url": {
                        "description": "Product image URL",
                        "type": "string"
                      },
                      "name": {
                        "description": "Product name",
                        "type": "string"
                      },
                      "price": {
                        "description": "Product price",
                        "type": "number"
                      },
                      "sku": {
                        "description": "Product SKU - must be unique per business",
                        "type": "string"
                      },
                      "tax_ids": {
                        "description": "Product Tax IDs",
                        "items": {
                          "type": "string"
                        },
                        "type": "array"
                      }
                    },
                    "required": [
                      "name",
                      "price"
                    ],
                    "type": "object"
                  }
                },
                "required": [
                  "product"
                ],
                "type": "object"
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Provide a valid bearer token in the Authorization header. Example: 'Authorization: Bearer {app_token}'"
      }
    }
  }
}
```